Subject: Re: [PATCH] mwifiex: add __GFP_REPEAT to skb allocation call

From: Kalle Valo <[email-masked]>
Date: Tue, 29 Mar 2016 11:37:51 +0300

Wei-Ning Huang <[email-masked]> writes:

> "single skb allocation failure" happens when system is under heavy
> memory pressure.  Add __GFP_REPEAT to skb allocation call so kernel
> attempts to reclaim pages and retry the allocation.
>
> Signed-off-by: Wei-Ning Huang <[email-masked]>

Is this really a proper way to fix the issue? This is the first time I'm
hearing about the flag and there isn't even a single user in
drivers/net. I would like to get confirmation from others that
__GFP_REPEAT is really ok to use in a wireless driver before I can take
this.

-- 
Kalle Valo